﻿using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Unity.Collections;
using Unity.Jobs;
using UnityEngine;

public class ShapeGeneratorThread
{
    #region Generation variables
    private Vector2 crawlOffset;

    private Vector2Int gridOffset;

    [ReadOnly]
    private NativeArray<Octave> octaves;
    #endregion
    #region Control variables
    public bool finished = false;
    #endregion

    public ShapeGeneratorThread(Vector2 crawlOffset, Vector2Int gridOffset, IEnumerable<Octave> octaves)
    {
        this.crawlOffset = crawlOffset;
        this.gridOffset = gridOffset;
        this.octaves = new(octaves.ToArray(), Allocator.TempJob);
    }

    public void Execute()
    {
        throw new System.NotImplementedException();
    }
}